import request from '/@/utils/request';
// import { AxiosPromise } from 'axios';

/**
 * 保存评估类别
 * @param params 
 * @returns 
 */
export function saveCategroy(params) {
  return request({
    url: '/lis/result/evaluate/categroy/save',
    method: 'post',
    data: params
  })
}

/**
 * 查询评估类别
 * @param params 
 * @returns 
 */
export function getCategroyList(params) {
  return request({
    url: '/lis/result/evaluate/categroy/list',
    method: 'post',
    params
  })
}

/**
 * 评估类别详情
 * @param params 
 * @returns 
 */
export function getCategroyDetail(params) {
  return request({
    url: '/lis/result/evaluate/categroy/detail',
    method: 'post',
    params
  })
}

/**
 * 删除
 * @param id 
 * @returns 
 */
export function categroyDel(id: number) {
    return request({
        url: '/lis/result/evaluate/categroy/delete',
        method: 'post',
        params: { id }
    })
}

/**
 * 删除
 * @param id 
 * @returns 
 */
export function itemInfoDel(id: number) {
    return request({
        url: '/lis/result/evaluate/item/info/delete',
        method: 'post',
        params: { id }
    })
}

/**
 * 保存评估类别
 * @param params 
 * @returns 
 */
export function saveItemInfo(params) {
  return request({
    url: '/lis/result/evaluate/item/info/save',
    method: 'post',
    data: params
  })
}

/**
 * 查询评估类别
 * @param params 
 * @returns 
 */
export function getItemInfoList(params) {
  return request({
    url: '/lis/result/evaluate/item/info/list',
    method: 'post',
    params
  })
}

/**
 * 评估类别详情
 * @param params 
 * @returns 
 */
export function getItemInfoDetail(params) {
  return request({
    url: '/lis/result/evaluate/item/info/detail',
    method: 'post',
    params
  })
}